package top.imwork.window.silos.pojo.po;

import lombok.EqualsAndHashCode;
import top.imwork.commons.core.pojo.BaseParams;

/**
 * 图书内容表
 *
 * @author jiangxiaowei
 * email: e-jiangxiaowei@outlook.com
 * date: 2025-11-04 17:46:32
 */
@EqualsAndHashCode(callSuper = true)
public class ContentsListParamVO extends BaseParams {
    private String contentsName;
    private String bookInfoId;
    private String contentType;
    private String isPublic;
    private String version;
    private String createBeginTime;

    public String getContentsName() {
        return contentsName;
    }

    public void setContentsName(String contentsName) {
        this.contentsName = contentsName;
    }

    public String getBookInfoId() {
        return bookInfoId;
    }

    public void setBookInfoId(String bookInfoId) {
        this.bookInfoId = bookInfoId;
    }

    public String getContentType() {
        return contentType;
    }

    public void setContentType(String contentType) {
        this.contentType = contentType;
    }

    public String getIsPublic() {
        return isPublic;
    }

    public void setIsPublic(String isPublic) {
        this.isPublic = isPublic;
    }

    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }

    @Override
    public String getCreateBeginTime() {
        return createBeginTime;
    }

    @Override
    public void setCreateBeginTime(String createBeginTime) {
        this.createBeginTime = createBeginTime;
    }
}